//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Savemigration {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x84B418E93894AC1C<br />
/// </para>
/// </remarks>
public static bool SavemigrationIsMpEnabled(){
return Function.Call<bool>((Hash)0x84B418E93894AC1CuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2612<br />
/// <b>Native ID:</b> 0x85F41F9225D08C72<br />
/// </para>
/// </remarks>
public static bool SavemigrationMpRequestAccounts(){
return Function.Call<bool>((Hash)0x85F41F9225D08C72uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2612<br />
/// <b>Native ID:</b> 0xC8CB5999919EA2CA<br />
/// </para>
/// </remarks>
public static int SavemigrationMpGetAccountsStatus(){
return Function.Call<int>((Hash)0xC8CB5999919EA2CAuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2612<br />
/// <b>Native ID:</b> 0x77A16200E18E0C55<br />
/// </para>
/// </remarks>
public static int SavemigrationMpNumAccounts(){
return Function.Call<int>((Hash)0x77A16200E18E0C55uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2612<br />
/// <b>Native ID:</b> 0xFCE2747EEF1D05FC<br />
/// </para>
/// </remarks>
public static bool SavemigrationMpGetAccount(int p0, int /* bug: structure */ p1){
return Function.Call<bool>((Hash)0xFCE2747EEF1D05FCuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0xE5E9746A66359F9D<br />
/// </para>
/// </remarks>
public static bool SavemigrationMpRequestStatus(){
return Function.Call<bool>((Hash)0xE5E9746A66359F9DuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Savemigration<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x690B76BD2763E068<br />
/// </para>
/// </remarks>
public static int SavemigrationMpGetStatus(){
return Function.Call<int>((Hash)0x690B76BD2763E068uL);
}

}}
